__gnu_parallel::_Nothing(3)

NAME
__gnu_parallel::_Nothing -

SYNOPSIS

  Public Member Functions
template<typename _It > void operator() (_It __i)

Detailed Description

Functor doing nothing. For some __reduction tasks (this is not a function object, but is passed as __selector __dummy parameter.

Definition at line 288 of file for_each_selectors.h.

Member Function Documentation

  template<typename _It > void __gnu_parallel::_Nothing::operator() (_It__i) [inline]

Functor execution.

Parameters:
    __i iterator referencing object.

Definition at line 294 of file for_each_selectors.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.